Jump to content
Sign in to follow this  
theTimHunter

jQuery and JavaScript

Recommended Posts

theTimHunter    1
theTimHunter

Hello pagelines,

I want to create an effect where text pops-up when I hover over icons. I'm guessing it would be initialized via a javascript. Where would I place this javascript in my pagelines framework.

ellelothlorien.com fyi.

The main images should have text appear when you hover. Any help is greatly appreciated.

Thanks

Tim

Share this post


Link to post
Share on other sites
Rob    547
Rob

Tim, please visit: http://demo.pagelines.me/tools/

Scroll down to: Tooltips & Popovers and select the code you want. You'll have to somehow wrap your image with the applicable shortcode. The best method would probably be using HTML View in your post or page.

  • Like 1

Former PageLines Moderator, Food Expert and Raconteur

Share this post


Link to post
Share on other sites
theTimHunter    1
theTimHunter

Thanks Rob. I will do that. I actually have the images wrapped already using the Bootstrap grid so this will be no problem. I love pagelines.

Share this post


Link to post
Share on other sites
mackenzie    12
mackenzie

The topic was marked as resolved.


Mackenzie - PageLines Help Desk

The Centsible Family - Writer, Photographer and Coffee Addict

---------------------------------------------------

Kindly search this forum and read the documentation before posting. It will help you resolve many issues.

For CSS help be sure to check out W3Schools first and be sure to download FireBug for FireFox for troubleshooting.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

  • Similar Content

    • cas45
      By cas45+
      I am running a site based on PageLines Framework 2.5.0. I am making some changes to a current website and managed to find a script that will do what I want.:
       
      $(".vend-cat").each( function() {
          if ( $(this).find(".no-vendors").html() == '' ) {
                 $(this).hide();
          }
      } );
       
      I have tested it on jsfiddle and it works fine. It does however need to be adapted to work with jQuery for pagelines and wordpress. Any help or advice?
       
      Thanks
    • unifeyed
      By unifeyed+
      Hello there. 
      I am trying to have all the ® symbols throughout my website superscript without having to individually go to each symbol and wrap them in <sup> tags. There is quite a bit of them. I have the following code within the Custom Scripts, but it seems to cause issues with the Hamburger navigation, as it does not seem to work. Can you offer up some assistance? 

      <script>
      jQuery(document).ready(function() {
                 jQuery("body").html(
          jQuery("body").html().replace(/®/gi, '<sup>®</sup>').replace(/®/gi, '<sup>®</sup>')
         );
              });
      </script>
    • chamois_blanc
      By chamois_blanc+
      I am trying to clone a container on a page. It throws the following javascript error:
      function l(b, c, e, f) { var g = m.a.f.get(b, p); if (!c) { if (g) throw Error("You cannot apply bindings multiple times to the same element."); m.a.f.set(b, p, !0) } I would appreciate guidance and a fix. Thank you
    • Jeremiah
      By Jeremiah+
      Error: editing.js?ver=930684:5 Uncaught TypeError: Cannot read property 'getData' of undefined
      I have all of the plugins disabled and I still receive the error.
      Page Editor will not load on page.
       
    • ketri
      By ketri
      Hi!

      I'm using a jQuery-plugin called Taeggie (http://taeggie.com/)

      It seems that it requires jQuery version that's later than what comes with WordPress (ver=1.11.3). 
      If I just copy-paste a new jQuery to the section where I use the plugin, it works. But it's probably a very bad idea to load jQuery two times. 

      Can I override the old version of jQuery in functions.php and use a new version like 1.9?  
      Does it have issues with Pagelines or WordPress in general? Why is the version of jQuery that's used with WordPress so old?

      Thank you!
×